
#include <qlabel.h>
#include "itkCommand.h"

namespace otb {

  class ProgressLabel : public QLabel
{

  Q_OBJECT

public:

  /** Constructor */
  ProgressLabel( QWidget *parent ):QLabel( parent )
  {
    this->setText(QString());
  }

public slots:

  void Start()
    {
    this->setText(QString("Processing in progress..."));
    }

  void Modified()
    {
    }

  void End()
    {
    this->setText(QString());
    }

};


}  // end of namespace
