/*=========================================================================

  $Author: allain $
  $Date: 2005/06/06 16:16:56 $
  $Revision: 1.2 $
  $Id: ConfigurationFileReader.cxx, v 1.2 2005/06/06 16:16:56 allain Exp $
  $Source: /usr/local/stok/CVS_REPO/Pireo/Code/Registration/NewClassNames/ConfigurationFileReader.cxx, v $
  $Log: ConfigurationFileReader.cxx, v $
  Revision 1.2  2005/06/06 16:16:56  allain
  Gave new method names, add commentary and implement new params


=========================================================================*/

#include "ConfigurationFileReader.h"

ConfigurationFileReader::ConfigurationFileReader()
{
}

ConfigurationFileReader::~ConfigurationFileReader()
{
}

bool ConfigurationFileReader::ReadConfigFile(const char* filename)
// Reads the parameters necessary to configure the example & returns
// false if no configuration file is found
{
  std::ifstream f;
  std::string r;

  std::cout << "Reading config file..." << filename << std::endl;
  f.open(filename);
  int i=0;
  if (f)
  {
    while (!f.eof())
    {
      f >> r;
      while (r!="_" && !f.eof())
      {
        f >> r;
      }
      f >> r;
      std::istringstream in(r);

      if (i==0)
        in >> NumberOfLevels;
      else if (i==1)
        in >> trans;
      else if (i==2)
        in >> interp;
      else if (i==3)
        in >> metric;
      else if (i==4)
        in >> optim;
      else if (i==5)
        in >> maxStepLength;
      else if (i==6)
        in >> minStepLength;
      else if (i==7)
        in >> minimize;
      else if (i==8)
        in >> NumberOfIterations;
      i++;
    }
  }
  std::cout<<"Number Of Levels : "<<NumberOfLevels<<std::endl;
  std::cout<<"trans : "<<trans<<std::endl;
  std::cout<<"metric : "<<metric<<std::endl;
  std::cout<<"min : "<<minStepLength<<std::endl;
  std::cout<<"max : "<<maxStepLength<<std::endl;
  std::cout<<"Nb of iterations : "<<NumberOfLevels<<std::endl;

  return true;
}
