/*=========================================================================

  Program:   ORFEO Toolbox
  Language:  C++
  Date:      $Date$
  Version:   $Revision$


  Copyright (c) Centre National d'Etudes Spatiales. All rights reserved.
See OTBCopyright.txt for details.


    This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE,  See the above copyright notices for more information.

=========================================================================*/
#include "otbMsgReporter.h"
#include "otbMacro.h"

int otbMsgReporterShow(int argc, char* argv[])
{

  typedef otb::MsgReporter ReporterType;

  ReporterType::Pointer reporter = ReporterType::GetInstance();

  reporter->SetTitle("otbMsgReporterShow Title ...");
  reporter->SendMsg("line 1...");
  reporter->SendMsg("line 2...");
  reporter->SendMsg("line 3...");
  ReporterType::GetInstance()->SendMsg("Hello...");
  ReporterType::GetInstance()->SendMsg("OTB... ");
  ReporterType::GetInstance()->SendMsg("... world !");
  ReporterType::GetInstance()->SendError("Bad output test; -(");

  ReporterType::GetInstance()->Show();

  Fl::check();

  return EXIT_SUCCESS;
}
