/*=========================================================================

  Program:   ORFEO Toolbox
  Language:  C++
  Date:      $Date$
  Version:   $Revision$


  Copyright (c) Centre National d'Etudes Spatiales. All rights reserved.
See OTBCopyright.txt for details.


    This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE,  See the above copyright notices for more information.

=========================================================================*/
#ifndef __otbImageToDBRegistrationEnum_h
#define __otbImageToDBRegistrationEnum_h


namespace otb
{
/**
 * this enum defines the different output available.
   */
typedef enum
{
  DATABASE,
  IMAGE,
  UNKNOWN1
} OutputEnumType;

typedef enum
{
  FULL,
  EXTRACT,
  UNKNOWN2
} InputImageEnumType;


}// namespace otb
#endif
