/*=========================================================================

  Program:   ORFEO Toolbox
  Language:  C++
  Date:      $Date$
  Version:   $Revision$


  Copyright (c) Centre National d'Etudes Spatiales. All rights reserved.
See OTBCopyright.txt for details.


    This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE,  See the above copyright notices for more information.

=========================================================================*/

// this file defines the otbCommonTest for the test driver
// and all it expects is that you have a function called RegisterTests
#if defined(_MSC_VER)
#pragma warning ( disable : 4786 )
#endif
#include <iostream>
#include "otbTestMain.h"

void RegisterTests()
{
  REGISTER_TEST(otbPreprocessingModelTest);
  REGISTER_TEST(otbPreprocessingControllerAndViewTest);
  REGISTER_TEST(otbRegionGrowingSegmentationModelTest);
  REGISTER_TEST(otbRegionGrowingSegmentationControllerAndViewTest);
  REGISTER_TEST(otbLevelSetSegmentationModelTest);
  REGISTER_TEST(otbLevelSetSegmentationControllerAndViewTest);
  REGISTER_TEST(otbSVMBasedRegionGrowingSegmentationModelTest);
  REGISTER_TEST(otbSVMBasedRegionGrowingSegmentationControllerAndViewTest);
  REGISTER_TEST(otbVectorizationModelTest);
  REGISTER_TEST(otbVectorizationControllerAndViewTest);
}
